import React from 'react';
import './App.css';
import { Button, createMuiTheme, ThemeProvider } from '@material-ui/core';
import { ApplicationDialogsProvider, matAlert } from './ui/widgets/DialogsProvider';

function App() {
  const darkTheme = createMuiTheme({
    palette: {
      type: 'dark',
    },
  });

  return (
    <ThemeProvider theme={darkTheme}>
      <div className="App">
        {/* Holder of dialogs */}
        <ApplicationDialogsProvider></ApplicationDialogsProvider>

        {/* TODO : holder of login state */}

        <Button onClick={()=>matAlert("heloo!!")}>alert</Button>
      </div>
    </ThemeProvider>
  );
}

export default App;
